Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lp.struct
Class LpAbstractStructureUnitTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              lp.struct.LpAbstractStructureUnitTest

All Implemented Interfaces:
  Test

    public class LpAbstractStructureUnitTest

extends TestCase

Contains tests of the `LpAbstractStructureUnit` class.

Version:
  1.0.0
Author:
  Martin Slota
See Also:
  `LpAbstractStructureUnit`

Constructor Summary
`LpAbstractStructureUnitTest(String testName)` A default test case constructor.

Method Summary
`void` | `testToUnmodifiableList()` Tests the `LpAbstractStructureUnit.toUnmodifiableList(List)` method.
`void` | `testToUnmodifiableSet()` Tests the `LpAbstractStructureUnit.toUnmodifiableSet(Set)` method.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LpAbstractStructureUnitTest

    public LpAbstractStructureUnitTest(String testName)

  A default test case constructor.

  Parameters:
    `testName` - the name of the test case

Method Detail

### testToUnmodifiableList

    public void testToUnmodifiableList()

  Tests the `LpAbstractStructureUnit.toUnmodifiableList(List)` method.

### testToUnmodifiableSet

    public void testToUnmodifiableSet()

  Tests the `LpAbstractStructureUnit.toUnmodifiableSet(Set)` method.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD